export namespace core {
	
	export class Device {
	    Name: string;
	    Description: string;
	    Flags: number;
	    Addresses: string[];
	
	    static createFrom(source: any = {}) {
	        return new Device(source);
	    }
	
	    constructor(source: any = {}) {
	        if ('string' === typeof source) source = JSON.parse(source);
	        this.Name = source["Name"];
	        this.Description = source["Description"];
	        this.Flags = source["Flags"];
	        this.Addresses = source["Addresses"];
	    }
	}

}

