package parser

import (
    "github.com/google/gopacket/layers"
    "net"
)

type IPv6 struct {
    layers.BaseLayer
    Version      uint8
    TrafficClass uint8
    FlowLabel    uint32
    Length       uint16
    NextHeader   uint8
    HopLimit     uint8
    SrcIP        net.IP
    DstIP        net.IP
    HopByHop     *layers.IPv6HopByHop
    hbh          layers.IPv6HopByHop
}
