package main

import (
    "eruhs/describer"
    "time"
)

type UIDataPackView struct {
    Id     int           `json:"id"`
    Time   time.Duration `json:"time"`
    Source string        `json:"source"`
    Dest   string        `json:"dest"`
    Proto  string        `json:"proto"`
    Length int           `json:"length"`
}

type LayerDescribe struct {
    HeaderRaw             string             `json:"header"`
    ApplicationPayloadRaw string             `json:"payload"`
    LayerName             string             `json:"name"`
    Describe              describer.Describe `json:"describe"`
}
